# phpMyAdmin MySQL-Dump
# http://phpwizard.net/phpMyAdmin/
#
# Serveur: localhost Base de donnes: phpfaqtory

# --------------------------------------------------------
#
# Structure de la table 'authentification'
#

DROP TABLE IF EXISTS authentification;
CREATE TABLE authentification (
   id int(10) unsigned DEFAULT '0' NOT NULL auto_increment,
   login varchar(10) NOT NULL,
   pwd varchar(10) NOT NULL,
   nom_prenom varchar(255) NOT NULL,
   email varchar(255) NOT NULL,
   theme tinyint(4) DEFAULT '0' NOT NULL,
   date_last_connection datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   session_multiple tinyint(1) unsigned DEFAULT '0' NOT NULL,
   PRIMARY KEY (id),
   UNIQUE login (login)
);

#
# Contenu de la table 'authentification'
#

INSERT INTO authentification VALUES ( '1', 'admin', 'admin', 'Administrateur PhpFAQtory', 'webmaster@phpindex.com', '5', '2001-05-21 19:29:26', '1');
INSERT INTO authentification VALUES ( '2', 'guest', 'guest', 'Utilisateur Invit', '', '0', '2001-05-21 12:23:06', '1');

# --------------------------------------------------------
#
# Structure de la table 'chapitre'
#

DROP TABLE IF EXISTS chapitre;
CREATE TABLE chapitre (
   id int(10) unsigned DEFAULT '0' NOT NULL auto_increment,
   document int(10) unsigned DEFAULT '0' NOT NULL,
   date_creation datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   date_modif datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   auteur varchar(255) NOT NULL,
   email varchar(255) NOT NULL,
   indexation tinyint(4) DEFAULT '0' NOT NULL,
   PRIMARY KEY (id)
);

#
# Contenu de la table 'chapitre'
#

INSERT INTO chapitre VALUES ( '1', '1', '2000-05-11 05:43:50', '2001-05-17 03:57:33', 'Armel Fauveau', 'armel.fauveau@globalis-ms.com', '1');
INSERT INTO chapitre VALUES ( '2', '1', '2000-05-11 05:55:17', '2001-05-21 20:07:20', 'Armel Fauveau', 'armel.fauveau@globalis-ms.com', '2');
INSERT INTO chapitre VALUES ( '3', '1', '2000-05-11 05:43:45', '2001-05-21 20:06:02', 'Armel Fauveau', 'armel.fauveau@globalis-ms.com', '3');

# --------------------------------------------------------
#
# Structure de la table 'chapitre_content'
#

DROP TABLE IF EXISTS chapitre_content;
CREATE TABLE chapitre_content (
   id int(10) unsigned DEFAULT '0' NOT NULL auto_increment,
   id_chapitre int(10) unsigned DEFAULT '0' NOT NULL,
   titre varchar(255) NOT NULL,
   langue char(3) NOT NULL,
   mainteneur varchar(255) NOT NULL,
   email varchar(255) NOT NULL,
   status char(1) NOT NULL,
   PRIMARY KEY (id),
   KEY id_chapitre (id_chapitre),
   KEY langue (langue)
);

#
# Contenu de la table 'chapitre_content'
#

INSERT INTO chapitre_content VALUES ( '3', '3', 'Utilisation', 'fr', 'Armel Fauveau', 'armel.fauveau@globalis-ms.com', 'O');
INSERT INTO chapitre_content VALUES ( '1', '1', 'Prsentation', 'fr', 'Armel Fauveau', 'armel.fauveau@globalis-ms.com', 'O');
INSERT INTO chapitre_content VALUES ( '2', '2', 'Installation', 'fr', 'Armel Fauveau', 'armel.fauveau@globalis-ms.com', 'O');

# --------------------------------------------------------
#
# Structure de la table 'doc_security'
#

DROP TABLE IF EXISTS doc_security;
CREATE TABLE doc_security (
   id int(10) unsigned DEFAULT '0' NOT NULL auto_increment,
   id_user int(10) unsigned DEFAULT '0' NOT NULL,
   id_doc int(10) unsigned DEFAULT '0' NOT NULL,
   langue char(3) NOT NULL,
   _read tinyint(1) unsigned DEFAULT '0' NOT NULL,
   _write tinyint(1) unsigned DEFAULT '0' NOT NULL,
   _admin tinyint(1) unsigned DEFAULT '0' NOT NULL,
   _create tinyint(1) unsigned DEFAULT '0' NOT NULL,
   PRIMARY KEY (id),
   KEY id_user (id_user),
   KEY id_doc (id_doc)
);

#
# Contenu de la table 'doc_security'
#

INSERT INTO doc_security VALUES ( '4', '2', '1', 'fr', '1', '0', '0', '1');
INSERT INTO doc_security VALUES ( '3', '5', '2', 'fr', '1', '1', '1', '1');

# --------------------------------------------------------
#
# Structure de la table 'document'
#

DROP TABLE IF EXISTS document;
CREATE TABLE document (
   id int(10) unsigned DEFAULT '0' NOT NULL auto_increment,
   date_creation datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   date_modif datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   auteur varchar(255) NOT NULL,
   email varchar(255) NOT NULL,
   version varchar(255) NOT NULL,
   PRIMARY KEY (id)
);

#
# Contenu de la table 'document'
#

INSERT INTO document VALUES ( '1', '2000-05-11 05:43:01', '2001-05-21 20:07:20', 'Armel Fauveau', 'armel.fauveau@globalis-ms.com', '1.3');
INSERT INTO document VALUES ( '2', '2001-05-18 16:13:45', '2001-05-18 16:13:45', 'Administrateur PhpFAQtory', 'webmaster@phpindex.com', '');

# --------------------------------------------------------
#
# Structure de la table 'document_content'
#

DROP TABLE IF EXISTS document_content;
CREATE TABLE document_content (
   id int(10) unsigned DEFAULT '0' NOT NULL auto_increment,
   id_document int(10) unsigned DEFAULT '0' NOT NULL,
   titre varchar(255) NOT NULL,
   abstract text NOT NULL,
   langue char(3) NOT NULL,
   mainteneur varchar(255) NOT NULL,
   email varchar(255) NOT NULL,
   docmaster char(3) NOT NULL,
   status char(1) NOT NULL,
   PRIMARY KEY (id),
   KEY id_document (id_document),
   KEY langue (langue)
);

#
# Contenu de la table 'document_content'
#

INSERT INTO document_content VALUES ( '1', '1', 'phpFAQTory', 'Ce document traite de phpFAQtory.', 'fr', 'Armel Fauveau', 'armel.fauveau@globalis-ms.com', '', 'O');
INSERT INTO document_content VALUES ( '2', '2', 'Test', '', 'uk', 'Administrateur PhpFAQtory', 'webmaster@phpindex.com', '', 'P');

# --------------------------------------------------------
#
# Structure de la table 'lien_interne'
#

DROP TABLE IF EXISTS lien_interne;
CREATE TABLE lien_interne (
   id_document int(10) unsigned DEFAULT '0' NOT NULL,
   id_chapitre int(10) unsigned DEFAULT '0' NOT NULL,
   id_question int(10) unsigned DEFAULT '0' NOT NULL,
   langue char(3) NOT NULL,
   lien varchar(255) NOT NULL,
   PRIMARY KEY (id_document, id_chapitre, id_question, langue)
);

#
# Contenu de la table 'lien_interne'
#

INSERT INTO lien_interne VALUES ( '1', '3', '8', 'fr', 'C1Q2C2Q0');

# --------------------------------------------------------
#
# Structure de la table 'question'
#

DROP TABLE IF EXISTS question;
CREATE TABLE question (
   id int(10) unsigned DEFAULT '0' NOT NULL auto_increment,
   chapitre int(10) unsigned DEFAULT '0' NOT NULL,
   date_creation datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   date_modif datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   auteur varchar(255) NOT NULL,
   email varchar(255) NOT NULL,
   indexation tinyint(4) DEFAULT '0' NOT NULL,
   PRIMARY KEY (id)
);

#
# Contenu de la table 'question'
#

INSERT INTO question VALUES ( '1', '1', '2000-05-11 05:45:53', '2000-12-08 17:46:25', 'Armel Fauveau', 'armel.fauveau@globalis-ms.com', '1');
INSERT INTO question VALUES ( '2', '1', '2000-05-11 05:46:49', '2001-05-17 03:20:34', 'Armel Fauveau', 'armel.fauveau@globalis-ms.com', '2');
INSERT INTO question VALUES ( '3', '1', '2000-05-11 05:49:27', '2001-05-17 03:21:40', 'Armel Fauveau', 'armel.fauveau@globalis-ms.com', '3');
INSERT INTO question VALUES ( '4', '1', '2000-05-11 05:50:56', '2001-05-17 03:21:54', 'Armel Fauveau', 'armel.fauveau@globalis-ms.com', '4');
INSERT INTO question VALUES ( '5', '2', '2000-05-11 05:51:54', '2001-05-17 03:53:42', 'Armel Fauveau', 'armel.fauveau@globalis-ms.com', '1');
INSERT INTO question VALUES ( '6', '2', '2000-05-11 05:52:50', '2001-05-17 03:57:33', 'Armel Fauveau', 'armel.fauveau@globalis-ms.com', '2');
INSERT INTO question VALUES ( '7', '3', '2000-12-08 12:27:35', '2001-05-17 15:54:49', 'Armel Fauveau', 'armel.fauveau@globalis-ms.com', '1');
INSERT INTO question VALUES ( '8', '3', '2000-12-08 12:27:13', '2001-05-21 20:03:04', 'Armel Fauveau', 'armel.fauveau@globalis-ms.com', '3');
INSERT INTO question VALUES ( '9', '3', '2000-12-18 12:05:05', '2001-05-21 20:06:02', 'Armel Fauveau', 'armel.fauveau@globalis-ms.com', '2');
INSERT INTO question VALUES ( '10', '2', '2001-05-21 15:40:41', '2001-05-21 20:07:20', 'Administrateur PhpFAQtory', 'webmaster@phpindex.com', '3');

# --------------------------------------------------------
#
# Structure de la table 'question_content'
#

DROP TABLE IF EXISTS question_content;
CREATE TABLE question_content (
   id int(10) unsigned DEFAULT '0' NOT NULL auto_increment,
   id_question int(10) unsigned DEFAULT '0' NOT NULL,
   question varchar(255) NOT NULL,
   reponse text NOT NULL,
   langue char(3) NOT NULL,
   mainteneur varchar(255) NOT NULL,
   email varchar(255) NOT NULL,
   status char(1) NOT NULL,
   PRIMARY KEY (id),
   KEY id_question (id_question),
   KEY langue (langue)
);

#
# Contenu de la table 'question_content'
#

INSERT INTO question_content VALUES ( '1', '1', 'Qu\'est-ce que phpFAQtory', 'PhpFAQtory est un outil permettant de simplifier la rdaction d\'un document de type FAQ, HOW-TO, ou de tout autres documents articuls autour d\'une logique : Index, Chapitre, Question / Rponse.', 'fr', 'Armel Fauveau', 'armel.fauveau@globalis-ms.com', 'O');
INSERT INTO question_content VALUES ( '2', '2', 'Quelles sont ses principales fonctionnalits', 'Les principales fonctionnalits de phpFAQtory sont :

- support multi-documents : il est possible de travailler sur plusieurs documents en mme temps.
- support multi-utilisateurs : il est possible de travailler  plusieurs sur un document. Gestion des utilisateurs au niveau global et au niveau de chaque document. Droits d\'accs limitatif au niveau lecture, ecriture, administration ou creation.
- support multi-langues : il est possible de rdiger des document dans la langue que l\'on veux. Il suffit de bien configurer phpFAQTory en slctionnant la langue dans le fichier config.inc.php3. Plus tard une version proposera la traduction des documents d\'une langue  une autre.
- assistant d\'indexation (chapitre et question) et gestion automatique des indices (chapitre 1, auestion 1.1, etc.).
- gnration automatique des documents au format XML ou HTML en mode unique (une seule page) ou multiple (un sommaire et une page par chapitre).
- gestion automatique des liens de navigation (ancres, parcours de page en page).
- gestion automatique des dates de modifications.
- possibilit de prciser l\'auteur d\'un document, d\'un chapitre ou d\'une question.
- etc.', 'fr', 'Armel Fauveau', 'armel.fauveau@globalis-ms.com', 'O');
INSERT INTO question_content VALUES ( '3', '3', 'Que demande phpFAQtory pour fonctionner', 'PhpFAQtory est crit en PHP3 et utilise une base MySQL. Vous devez donc disposer d\'un compte Web supportant ce langage et ce SGBDR (et avoir les droits pour crer une nouvelle base, ou plus prcisement, 10 tables).
L\'application est compatible avec PHP4.', 'fr', 'Armel Fauveau', 'armel.fauveau@globalis-ms.com', 'O');
INSERT INTO question_content VALUES ( '4', '4', 'Licence', 'PhpFAQtory est en Open Source, sous licence GPL.', 'fr', 'Armel Fauveau', 'armel.fauveau@globalis-ms.com', 'O');
INSERT INTO question_content VALUES ( '5', '5', 'O se procurer phpFAQtory', 'Sur le site <LINK>PHPIndex|http://http://www.phpindex.com/projets/projets_presentation.php3?n=2</LINK>. C\'est l\'endroit idal pour tlcharger la dernire version.
Il est galement disponible sur <LINK>FreshMeat|http://www.freshmeat.net</LINK>, <LINK>HotScripts|http://www.hotscripts.com</LINK> ou encore <LINK>phpScripts|http://www.phpscripts-fr.net</LINK>.', 'fr', 'Armel Fauveau', 'armel.fauveau@globalis-ms.com', 'O');
INSERT INTO question_content VALUES ( '6', '6', 'Comment l\'installer', 'Phase 1 :

Rcuprer l\'archive au format zip ou tgz. 

Phase 2 :

Dcompresser cette archives. Elle contient l\'ensemble des fichiers .php3 et .inc.php3, ainsi qu\'un sous repertoire images. Un ultime fichier portant l\'extention .sql contenant la structure de la base, sera utile pour crer vos tables.

Phase 3 :

Installer ces scripts sur votre compte.

Phase 4 :

Configurer la base de donnes. Le fichier phpfaqtory.sql contient l\'ensemble de la structure. Si vous disposez d\'un acces telnet et des droits ncessaire pour maniper le moniteur MySQL, il vous suffit de faire,
mysql -u monusername -pmonpassword mabase < phpfaqtory.sql
La base sera ainsi cre.
Sinon, vous pouvez aussi utiliser l\'excellent phpMyAdmin et copier/coller la succession de commandes SQL permettant de crer la base et/ou les tables associes.

Phase 5 :

Editer et modifier le fichier config.inc.php3. En particulier, les variables :
- $cfgHost : Host MySQL,
- $cfgUser : User MySQL,
- $cfgPass : Pass MySQL,
- $cfgBase : Base MySQL,
- $cfgLang : Langue (fr/us/de/sp).

Remarque complmentaire : 

Libre  vous d\'diter le fichier theme.inc.php3 afin de modifier ou d\'y ajouter d\'autres thmes.', 'fr', 'Armel Fauveau', 'armel.fauveau@globalis-ms.com', 'O');
INSERT INTO question_content VALUES ( '9', '9', 'Faire un lien dans une Rponse', 'Vous pouvez faire un lien dans une Rponse en tappant simplement l\'URL de la page ou du site. Le lien sera ajout automatiquement.

Exemple :
http://www.phpindex.com

Pour qu\'un lien soit interprt il faut qu\'il commence par le protocle utilis : http:// , https:// , ftp:// , news:// , etc.

Exemple :
http://www.phpindex.com
ftp://phpindex.com/projets/

De la mme faon les emails seront aussi interprts.
Exemple : 
webmaster@phpindex.com

Pour un lien sur une portion de texte, utilisez la syntaxe suivante :

<LINK>Intitul|URL&lt;/LINK>

Exemple :
Visitez le site <LINK>PHPIndex|http://www.phpindex.com</LINK>', 'fr', 'Armel Fauveau', 'armel.fauveau@globalis-ms.com', 'O');
INSERT INTO question_content VALUES ( '8', '8', 'Faire un lien vers une Question ou un Chapitre du document', 'Pour faire un lien vers une Question d\'un Chapitre interne au document il vous faut respecter la notation suivante :

&lt;LINK>Intitul|CxQy&lt;/LINK>
Cx dsignant le Chapitre x et Qy la Question y (du Chapitre x).

Exemple :
<LINK>Quelles sont ses principales fonctionnalits ?|C1Q2</LINK>

Pour un lien vers un Chapitre, faire simplement :

&lt;LINK>Intitul|Cx&lt;/LINK>
Cx dsignant le Chapitre x.

Exemple :
<LINK>Installation|C2</LINK>

Aprs cration du document le lien sera interne au document.

Notez aussi que les liens internes seront modifis automatiquement lors de la rindexation des chapitres ou des questions.', 'fr', 'Armel Fauveau', 'armel.fauveau@globalis-ms.com', 'O');
INSERT INTO question_content VALUES ( '7', '7', 'Premire Connexion', 'Pour vous connecter  phpFAQTory, utilisez les paramtres suivants :

login: admin
password: admin

Aprs connexion vous verrez apparaitre la liste des documents disponibles (Privs ou Publics).

En tant qu\'Administrateur, vous avez tous les droits. A savoir, crer, modifier ou supprimer les Utilisateurs et les Documents.

Les Utilisateurs ont des droits d\'accs de type lecture, criture, admin, cration (gnration du document au format HTML simple ou multiple, ou au format XML).

Pour chaque document il existe un onglet Securit qui vous permet d\'ajouter et/ou modifier ces droits et supprimer un utilisateur pour ce document. Un utilisateur supprim d\'un document n\'est pas supprim de la liste globale des utilisateurs.', 'fr', 'Armel Fauveau', 'webmaster@phpindex.com', 'O');
INSERT INTO question_content VALUES ( '10', '10', 'Comment changer les extensions .php3 en .php', 'Utilisez le script shell ext2ext.sh.
Ce script changera les extensions des fichiers mais galement les liens et autres include et require.', 'fr', 'Administrateur PhpFAQtory', 'webmaster@phpindex.com', 'O');

# --------------------------------------------------------
#
# Structure de la table 'session'
#

DROP TABLE IF EXISTS session;
CREATE TABLE session (
   id_session varchar(255) NOT NULL,
   id_user int(10) unsigned DEFAULT '0' NOT NULL,
   date_fin bigint(20) unsigned DEFAULT '0' NOT NULL,
   path varchar(255) NOT NULL,
   PRIMARY KEY (id_session)
);

#
# Contenu de la table 'session'
#

